System.Web 2.0.0.0 System.Web.UI.HtmlControls.HtmlInputButton System.Web.UI.SupportsEventValidation System.ComponentModel.DefaultEvent("")

The class is derived from the class and is used to create a button control on a Web page that resets form controls to their initial values. The control is often used with the control, which is used to create a button control that submits the form.

For a list of initial property values for an instance of , see the constructor.

Allows programmatic access to the HTML <input type=reset> element on the server.

- Constructor

  The following table shows the initial property value for an instance of .

  Property

  Value

  The "reset" literal string.

  Initializes a new instance of the class using default values.

  2.0.0.0
- Constructor

  The following table shows the initial property value for an instance of .

  Property

  Value

  The value of the parameter.

  Setting the parameter to a value not recognized as a valid HTML <input> element results in a default HTML <input> element as a single-line text input field.

  Initializes a new instance of the class using the specified input type.

  The input type.
  2.0.0.0
- Property
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.Browsable(false)
  System.Boolean To be added.

  The property is not intended to be used directly from your code.

  Gets or sets a value that indicates whether validation is performed when the control is clicked.

  2.0.0.0
- Event
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.Browsable(false)
  System.EventHandler

  The event is not intended to be used directly from your code.

  Occurs when an control is clicked on the Web page.

  2.0.0.0
- Property
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.Browsable(false)
  System.String To be added.

  The property is not intended to be used directly from your code.

  Gets or sets the group of controls for which the control causes validation when it posts back to the server.

  2.0.0.0